[SciPy-user] from scipy import *, from scipy import signal

Ryan Krauss ryanlists@gmail....
Mon Aug 18 11:11:31 CDT 2008


Thanks Matthieu.  The biggest part of my problem was that I somehow built
scipy and the scikit with an older version of numpy.  I thought I was
careful about that, but apparently not.

My other question remains: does "from scipy import *" no longer pull in
signal and integrate or is there something else wrong with my install?

Thanks,

Ryan

On Mon, Aug 18, 2008 at 10:21 AM, Matthieu Brucher <
matthieu.brucher@gmail.com> wrote:

> Hi,
>
> If you upgraded numpy, you may have to recompile scipy and the scikits.
>
> Matthieu
>
> 2008/8/18 Ryan Krauss <ryanlists@gmail.com>:
> > FYI, I also tried to build umfpack from scikits and get a similar error:
> >
> > In [3]: import scikits
> >
> > In [4]: import scikits.umfpack
> >
> ---------------------------------------------------------------------------
> > <type 'exceptions.RuntimeError'>          Traceback (most recent call
> last)
> >
> >
> > <type 'exceptions.RuntimeError'>: module compiled against version 1000009
> of
> > C-API but this version of numpy is 100000a
> > _um=None
> >
> >
> > On Mon, Aug 18, 2008 at 9:27 AM, Ryan Krauss <ryanlists@gmail.com>
> wrote:
> >>
> >> I upgraded to svn this morning and am having a rough time.  I think I
> >> eventually got everything to compile, but I am having problems running
> the
> >> script I am working with.  I have two primary problems (I think).
> >>
> >> 1. I have a lot of legacy code of mine that starts with "from scipy
> import
> >> *".  But with the current svn versions, this doens't seem to do what it
> used
> >> to (it doesn't seem to bring in signal and integrate at least).
> >>
> >> 2. Secondly, adding "from scipy import signal" to fix problem #1,
> produces
> >> this message:
> >>
> >> In [2]: from scipy import signal
> >>
> >>
> ---------------------------------------------------------------------------
> >> <type 'exceptions.RuntimeError'>          Traceback (most recent call
> >> last)
> >>
> >>
> >> <type 'exceptions.RuntimeError'>: module compiled against version
> 1000009
> >> of C-API but this version of numpy is 100000a
> >> _um=None
> >>
> >>
> >>
> >> What is the easiest way to resolve these two issues?
> >>
> >> Thanks,
> >>
> >> Ryan
> >
> >
> > _______________________________________________
> > SciPy-user mailing list
> > SciPy-user@scipy.org
> > http://projects.scipy.org/mailman/listinfo/scipy-user
> >
> >
>
>
>
> --
> French PhD student
> Website : http://matthieu-brucher.developpez.com/
> Blogs : http://matt.eifelle.com and http://blog.developpez.com/?blog=92
> LinkedIn : http://www.linkedin.com/in/matthieubrucher
> _______________________________________________
> SciPy-user mailing list
> SciPy-user@scipy.org
> http://projects.scipy.org/mailman/listinfo/scipy-user
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://projects.scipy.org/pipermail/scipy-user/attachments/20080818/2893173d/attachment-0001.html 


More information about the SciPy-user mailing list